libkdcraw (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 17:03:30 +0200

libkdcraw (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:22:14 -0700

libkdcraw (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:44:31 +0200

libkdcraw (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:30:58 +0200

libkdcraw (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:19:40 +0200

libkdcraw (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:44:41 +0200

libkdcraw (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add build-dep on libx11-dev

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:34:59 +0200

libkdcraw (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:05:58 +0100

libkdcraw (4:4.13.1-1ubuntu1) utopic; urgency=medium

  * Merge with debian upstream, remaining changes
   - Drop obsolete cmake option -DENABLE_LCMS2=ON as that's now the only
     supported version

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 22 May 2014 17:58:16 +0200

libkdcraw (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 May 2014 20:14:23 +0200

libkdcraw (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:20:45 +0100

libkdcraw (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:48:10 +0200

libkdcraw (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:47:37 +0100

libkdcraw (4:4.12.90-0ubuntu1) trusty; urgency=medium

  [ Philip Muškovac ]
  * Drop obsolete cmake option -DENABLE_LCMS2=ON as that's now the only
    supported version

  [ Jonathan Riddell ]
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:53:21 +0000

libkdcraw (4:4.12.3-2) unstable; urgency=medium

  * Remove libraw references from copyright file.
  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 13 May 2014 15:59:58 +0200

libkdcraw (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.
  * New upstream release.
  * Remove patch: libkdcraw_CVE-2013-143x.diff, upstream removed
    embedded libraw code.
  * Add libraw-dev as build-dep.
  * Soversion bump for libkdcraw.
  * Update install files.
  * Add symbols file for the new soversion.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:05:47 +0100

libkdcraw (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:08:49 +0100

libkdcraw (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:19:49 +0000

libkdcraw (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:34:05 +0000

libkdcraw (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:33:45 +0000

libkdcraw (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:32:24 +0000

libkdcraw (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:29:17 +0100

libkdcraw (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release
    - Update install files
    - libkdcraw22 -> libkdcraw23
    - Add Build-Dep on libraw-dev
    - Drop CVE-2013-143x.patch, not required
    - Fix install files
    - Update symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:53:31 +0100

libkdcraw (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Enable build failures on missing symbols.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Do not disable an empty test set.
  * Add autopkgtests.
  * Add abi-compliance-checker info.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Jan 2014 13:45:09 -0300

libkdcraw (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 12:38:19 +0100

libkdcraw (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Remove patches already applied by upstream.
  * Update symbols file.
  * Update lintian-override.
  * Refresh patch.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Oct 2013 12:14:38 +0200

libkdcraw (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:46:24 +0100

libkdcraw (4:4.11.1-0ubuntu2) saucy; urgency=low

  * SECURITY UPDATE: denial of service via crafted photo files
    - debian/patches/CVE-2013-143x.patch: add more checks to
      libraw/internal/dcraw_common.cpp, libraw/src/libraw_datastream.cpp.
    - CVE-2013-1438
    - CVE-2013-1439

 -- Scott Kitterman <scott@kitterman.com>  Tue, 01 Oct 2013 01:11:49 -0400

libkdcraw (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:35:06 +0100

libkdcraw (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:50:48 +0100

libkdcraw (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:56:44 +0100

libkdcraw (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:18 +0000

libkdcraw (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:26:24 +0100

libkdcraw (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Add new symbol to libkdcraw22.symbols

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 01:41:47 +0100

libkdcraw (4:4.10.5-2) unstable; urgency=low

  * Team upload.
  * Add libkdcraw_CVE-2013-143x.diff to fix multiple vulnerabilities
    (Closes: #721239, #721340).
    - CVE-2013-1438.
    - CVE-2013-1439.
    Thanks Scott Kitterman for the patch.
  * Add missing line break in debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Oct 2013 15:48:33 -0300

libkdcraw (4:4.10.5-1) unstable; urgency=low

  * New upstream release.
  * New patch: libkdcraw_CVE-2013-2126.diff. (Closes: #711317)
  * New patch: libkdcraw_CVE-2013-2127.diff.
  * Merge 4:4.8.4-2 from sid.
  * Add lintian-override for libraw.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 14:44:51 +0200

libkdcraw (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 13:48:23 +0200

libkdcraw (4:4.10.4-0ubuntu2) saucy; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    broken full-color images and a buffer overflow (LP: #1193065)
    - debian/patches/CVE2013-2126.diff: fix error handling in
      libraw/src/libraw_cxx.cpp.
    - CVE-2013-2126
    - debian/patches/CVE2013-2127.diff: fix wrong data_maximum calcluation
      in libraw/src/libraw_cxx.cpp.
    - CVE-2013-2127

 -- Scott Kitterman <scott@kitterman.com>  Thu, 20 Jun 2013 15:54:44 -0400

libkdcraw (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:45:56 +0100

libkdcraw (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian
  * Remove version on libkdcraw22-dbg replace/breaks of kdegraphics-dbg

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 16:10:49 +0000

libkdcraw (4:4.10.2-3) experimental; urgency=low

  [ Pino Toscano ]
  * Add the pkg-config build dependency.

 -- Sune Vuorela <sune@debian.org>  Mon, 29 Apr 2013 01:21:53 +0200

libkdcraw (4:4.10.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Bump the kde-sc-dev-latest and kdelibs5-dev build dependencies to 4.10.
  * Minor description change in libkdcraw22.
  * Switch from LCMS 1 to LCMS 2:
    - change the liblcms1-dev build dependency to liblcms2-dev
    - pass -DENABLE_LCMS2=ON to cmake

 -- Sune Vuorela <sune@debian.org>  Sat, 13 Apr 2013 14:13:20 +0000

libkdcraw (4:4.10.2-1) experimental; urgency=low

  * New upstream release
  * Soname change in libkdcraw
  * Update uploaders

  [ Maximiliano Curia ]
  * Add missing authors file refered in the documentation
  * Update debian/copyright file

 -- Sune Vuorela <sune@debian.org>  Sun, 07 Apr 2013 15:59:41 +0000

libkdcraw (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:31:30 +0200

libkdcraw (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:42:26 +0000

libkdcraw (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:07:17 +0000

libkdcraw (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:58:22 +0000

libkdcraw (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:20:00 +0100

libkdcraw (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:10:08 +0000

libkdcraw (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:11:02 +0000

libkdcraw (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Scott Kitterman ]
  * Rename libkdcraw21 to libkdcraw22 to match new soname, update dev and dbg
    package depends, update debian/rules, and rename install/symbols files
  * Build-depend on unversioned libjpeg-dev since libjpeg62 is now too old
  * Add ractionthreadbase.h to includes in libkdcraw-dev.install
  * Add missing build-depends on libxml2-dev and pkg-config

 -- Scott Kitterman <scott@kitterman.com>  Tue, 20 Nov 2012 10:07:26 -0500

libkdcraw (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:43:19 +0100

libkdcraw (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:34:39 +0100

libkdcraw (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:39:26 +0530

libkdcraw (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:14:15 +0100

libkdcraw (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 18:06:24 +0200

libkdcraw (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream beta release
    - drop upstream_lcms2_support.diff, applied upstream
    - replace libkdcraw20 with libkdcraw21 for new ABI version
    - refresh libkdcraw21.symbols
    - drop breaks/replaces against kdebindings-dbg in debug package,
      not needed anymore

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 26 May 2012 13:01:58 +0200

libkdcraw (4:4.8.4-2) unstable; urgency=low

  * New patch: libkdcraw_CVE-2013-2126.diff. (Closes: #711317).
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Update uploaders field.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 20 Jun 2013 15:10:38 +0200

libkdcraw (4:4.8.4-1) unstable; urgency=low

  * New upstream release
  * Update symbols file
  * Update install files

 -- Sune Vuorela <sune@debian.org>  Sun, 17 Jun 2012 21:51:00 +0200

libkdcraw (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 May 2012 16:44:29 +0200

libkdcraw (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 30 Mar 2012 20:35:49 +0200

libkdcraw (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release
  * Cherry-pick upstream commit d0e61353aeff0ec89cfa4a2de0c767286784c239
    from master to add lcms2 support. (LP: #885324)
  * Build-depend on liblcms2-dev instead of liblcms1-dev 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 15:23:40 +0100

libkdcraw (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 12:01:25 +0000

libkdcraw (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 13:15:00 +0000

libkdcraw (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 14:50:18 +0100

libkdcraw (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Dec 2011 13:28:08 +0000

libkdcraw (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 06 Mar 2012 10:28:54 +0100

libkdcraw (4:4.7.4-1) experimental; urgency=low

  * New upstream release.
  
  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 17 Dec 2011 23:43:49 +0100

libkdcraw (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:46:51 +0000

libkdcraw (4:4.7.2-1) experimental; urgency=low

  [ José Manuel Santamaría Lema ]
  * Initial release. Start from the Ubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:45:41 -0300

libkdcraw (4:4.7.2-0r0) raring; urgency=low

  * Initial release. Start from the Ubuntu packaging, thanks!

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 26 Sep 2011 20:59:00 +0200

libkdcraw (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #872506)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 13 Oct 2011 13:22:09 +0200

libkdcraw (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Sep 2011 01:15:12 +0200

libkdcraw (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 08 Sep 2011 09:26:39 -0400

libkdcraw (4:4.7.0-0ubuntu1) oneiric; urgency=low

  [ Felix Geyer ]
  * Set libkdcraw-data to arch-all.
  * Drop unused lintian override.
  * Build-dep on libjpeg62-dev instead of libjpeg-dev to work around LP 816155.
  * Refer to common license files of GPL-2 and LGPL-2 in debian/copyright.

  [ Philip Muškovac ]
  * New upstream release.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 27 Jul 2011 20:47:47 +0200

libkdcraw (4:4.6.90+repack1-0ubuntu3) oneiric; urgency=low

  * Drop work around for LP: #807573 now that it's fixed

 -- Scott Kitterman <scott@kitterman.com>  Fri, 22 Jul 2011 10:04:50 -0400

libkdcraw (4:4.6.90+repack1-0ubuntu2) oneiric; urgency=low

  [ Philip Muškovac ]
  * Build with CXXFLAGS += -mfloat-abi=soft to work around 
    launchpad bug #807573 

  [ Scott Kitterman ]
  * Only set -mfloat-abi=soft on armel

 -- Scott Kitterman <scott@kitterman.com>  Tue, 12 Jul 2011 10:07:50 -0400

libkdcraw (4:4.6.90+repack1-0ubuntu1) oneiric; urgency=low

  * New upstream release candidate 
  * Update for split packaging

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 08 Jul 2011 09:30:26 +0200

